Bug 2055653 - Add xmlstarlet to handle JENKINS_PASSWORD [NEEDINFO]
Summary: Add xmlstarlet to handle JENKINS_PASSWORD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.10
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.10.z
Assignee: Akram Ben Aissi
QA Contact: Jitendar Singh
URL:
Whiteboard:
Depends On: 2055650
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-17 13:01 UTC by Akram Ben Aissi
Modified: 2022-03-28 12:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
* This release contains a known issue with Jenkins. The `xmlstarlet` command line toolkit, which is required to validate or query XML files, is missing from this RHEL-based image. There is no workaround at this time. (link:https://bugzilla.redhat.com/show_bug.cgi?id=2055653[BZ#2055653])
Clone Of:
Environment:
Last Closed: 2022-03-28 12:03:17 UTC
Target Upstream Version:
rdlugyhe: needinfo? (abenaiss)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift jenkins pull 1391 0 None Closed [BZ] Bug report: content migration-stats produces wildly inaccurate suggestions and does not update 2022-05-08 08:28:44 UTC
Red Hat Product Errata RHBA-2022:1026 0 None None None 2022-03-28 12:03:34 UTC

Description Akram Ben Aissi 2022-02-17 13:01:37 UTC
This bug was initially created as a copy of Bug #2055650

I am copying this bug because: 



xmlstarlet is missing in rhel based image.

Comment 1 Adam Kaplan 2022-02-21 19:35:47 UTC
Akram - should this block the GA of OpenShift 4.10? If yes, then we need staff engineer approval.

If not, then I recommend downgrading the severity of this issue and releasing this in an early z-stream.

Comment 2 Adam Kaplan 2022-02-23 15:21:00 UTC
Per discussion in scrum, this is not a release blocker. The JENKINS_PASSWORD path is not the default way we deploy Jenkins - default is using the oauth plugin.

Comment 8 errata-xmlrpc 2022-03-28 12:03:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:1026


Note You need to log in before you can comment on or make changes to this bug.